package com.inkasso.factoring.purchManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;
import com.inkasso.factoring.creditmanagement.entity.Enterprise;
import com.inkasso.factoring.creditmanagement.entity.SupplierInfo;

import java.util.List;

/**
 * <p>
 * 采购合同 合同的签署结论
 * </p>
 *
 * @author yafan
 * @since 2023-12-13
 */
@TableName("c_purch_contract_sign_conclusion")
public class CPurchContractSignConclusion extends BaseEntity {

    /**
     * 采购合同Id
     */
    @TableField("c_purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    /**
     * 签署结论
     */
    @TableField("conclusion")
    private String conclusion;

    @TableField(exist = false)
    private List<CPurchContractElectronicInfo> purchContractElectronicInfos;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    @TableField(exist = false)
    private SupplierInfo supplier;

    @TableField(exist = false)
    private Enterprise supplierInfo;

    @TableField(exist = false)
    private Integer online;

    public Integer getOnline() {
        return online;
    }

    public void setOnline(Integer online) {
        this.online = online;
    }

    public List<CPurchContractElectronicInfo> getPurchContractElectronicInfos() {
        return purchContractElectronicInfos;
    }

    public void setPurchContractElectronicInfos(List<CPurchContractElectronicInfo> purchContractElectronicInfos) {
        this.purchContractElectronicInfos = purchContractElectronicInfos;
    }


    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getConclusion() {
        return conclusion;
    }

    public void setConclusion(String conclusion) {
        this.conclusion = conclusion;
    }

    public SupplierInfo getSupplier() {
        return supplier;
    }

    public void setSupplier(SupplierInfo supplier) {
        this.supplier = supplier;
    }

    public Enterprise getSupplierInfo() {
        return supplierInfo;
    }

    public void setSupplierInfo(Enterprise supplierInfo) {
        this.supplierInfo = supplierInfo;
    }

    @Override
    public String toString() {
        return "PurchContractSignConclusion{" +
                "purchContractBasicInfoId=" + purchContractBasicInfoId +
                ", remark=" + remark +
                ", conclusion=" + conclusion +
                "}";
    }
}
